# -*- rpm-spec -*-
# $Id: kernel-modules-madwifi.spec,v 1.2 2003/11/28 19:59:43 vsu Exp $
#
%define module_name	madwifi
%define module_version	0.8.3.2
%define module_release	alt8.2

%define kversion	2.4.22
%define krelease	alt2
%define flavour		wks-up

%define norm_version	%kversion

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define kgcc		gcc-2.96
%define kgcc_package	gcc2.96

%ifdef use_ccache
%define kcc "ccache %kgcc"
%else
%define kcc "%kgcc"
%endif

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary: Modules for Atheros-based WiFi .11a/b/g adapters
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: GPL or BSD
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
Url: http://www.kernel.org/
BuildRequires: %kgcc_package
BuildRequires: modutils
BuildRequires: perl sharutils
BuildRequires: rpm >= 4.0.2-75
BuildRequires: kernel-build-tools
BuildRequires: kernel-headers-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: modutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86

%description
This software contains a Linux kernel driver for Atheros-based
Wireless LAN devices.  The driver supports both station and AP modes
of operation.  The driver is actually a port of the BSD Atheros
driver and includes a port of the 802.11 link layer code originally
found in NetBSD.

A full list of product solutions utilizing Atheros chips can be found
at http://www.atheros.com/partners/solutions.html

%prep
rm -rf kernel-source-%module_name-%module_version

tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n %module_name-%module_version
/usr/bin/subst 's/$(KERNEL_VERSION)/$(KERNEL_RAW_VERSION)/' Makefile.inc
/usr/bin/subst 's/$(KERNEL_VERSION)/$(KERNEL_RAW_VERSION)/' wlan/Makefile

%build
make CC=%kcc KERNEL_VERSION=%kversion-%flavour-%krelease \
     KERNEL_PATH=%_usrsrc/linux-%kversion-%flavour \
     MODULE_PATH=%module_dir \
     KERNEL_RAW_VERSION=%norm_version

%install
mkdir -p $RPM_BUILD_ROOT%module_dir/

# We'll do individual install to avoid issuing depmod call in main Makefile
for i in wlan ath_hal driver ; do
    make KERNEL_VERSION=%kversion-%flavour-%krelease \
	 KERNEL_PATH=%_usrsrc/linux-%kversion-%flavour \
	 MODULE_PATH=%module_dir \
	 KERNEL_RAW_VERSION=%norm_version DESTDIR=$RPM_BUILD_ROOT -C $i install
done

%post
/sbin/depmod -a -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%postun
[ ! -f /boot/System.map-%kversion-%flavour-%krelease ] || \
/sbin/depmod -a -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%files
#defattr(644,root,root,755)
%module_dir

%changelog
* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 0.8.3.2-alt8.2
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 0.8.3.2-alt7.2
- Fixed spec file name.
- Fixed %%module_dir definition.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Fri Sep 26 2003 Sergey Vlasov <vsu@altlinux.ru> 0.8.3.2-alt6.2
- replaced %%{_usrsrc}/kernel/sources with %%kernel_src
- fixed BuildRequires

* Thu Sep 18 2003 Alexander Bokovoy <ab@altlinux.ru> 0.8.3.2-alt5.2
- Rebuild against kernel-sources-madwifi-0.8.3.2-alt3

* Tue Sep 09 2003 Anton Farygin <rider@altlinux.ru> 0.8.3.2-alt4.2
- defined norm_version

* Fri Sep 05 2003 Alexander Bokovoy <ab@altlinux.ru> 0.8.3.2-alt3.2
- Imported into ALT Linux Kernel CVS

* Fri Aug 22 2003 Alexander Bokovoy <ab@altlinux.ru> 0.8.3.2-alt2
- Rebuild for 2.4.21rel-std-up-alt13

* Sat Aug 16 2003 Alexander Bokovoy <ab@altlinux.ru> 0.8.3.2-alt1
- Initial release

